Welcome to SeaBat UI Help

The help file is generated from the SeaBat UI User Manual as supplied with this version of the SeaBat UI.


Introduction

More:

SeaBat UI


SeaBat UI

This manual is the user manual for the SeaBat UI.

Before the SeaBat UI will be explained how it works, a brief explanation is given how to setup the SeaBat UI and to start the sonar.

After this the general information will be discussed; how the panes are working and what the options are in the toolbar .

In the chapter Operation the operation mode of the SeaBat UI is discussed. The different panes that can be used in conjunction with the screens will be explained in detail.

In the last chapter Service the status of the complete sonar system; the temperature, voltage, communication status and other parameters is discussed with explaining the system diagram and how the operator can see the BITE information.

This manual is also available as help file in the SeaBat UI. Use F1 or [image] in the toolbar of the SeaBat UI to open the help file.


Quick Guide

More:

Introduction

Steps


Introduction

This chapter will give a brief explanation how the operator can start and setup the SeaBat UI and how he can start the sonar in the SeaBat UI. After the sonar is pinging what he can done to improve the performance.


Steps

a. Before the SeaBat UI can be started a valid license has to be installed in the 7KControlCenter. See the Operation Manual of the sonar how to install the license.

b. When the license is installed select in the 7KControlCenter the option New SeaBat UI and click on the Start button to open the SeaBat UI.

c. The SeaBat UI will open in the Operation mode with the four screens displayed.

d. The external clock with 1PPS and the sound velocity probe have to be interfaced with the 7K system. This can be done in the IO Module.

e. For a roll and/or pitch stabilization the motion sensor has to be connected to the right port on the sonar system.
Enable in the Hardware Settings the roll stabilization and select the right settings.

f. When the 1PPS is coming in and the roll stabilization is working the sonar can be started.

g. Open the Control pane to start the sonar. Set the ping rate, the power and the gain to start the sonar pinging. Change the range so the data is properly displayed in the wedge.

h. Select the right frequency, pulse type and beam mode in the Advanced page of the Control pane.

i. When the sonar is pinging then in Service can be monitored if the complete sonar system is working.

j. To get a better bottom detection, select the absolute or adaptive gate in the Gate Settings.

k. Set the Tracker on to get a fully automated mode of the operation.

l. Before the recording of the sonar data can be started the record selection and the path for the recorded files have to set in the Recording Settings.

m. Use the Display Settings to set the right settings for the screens.


General Information

More:

Introduction

Arrange the Panes

SeaBat UI Toolbar


Introduction

This chapter discusses how the panes are working and explains the different options in the toolbar of the SeaBat UI.

The items that will be discussed are:

· Panes
Consists of the information on opening and moving the panes in the SeaBat UI.

· SeaBat UI Toolbar
Consist of explaining the different options in the toolbar.


Arrange the Panes

The SeaBat UI uses tabs on the right side and at the bottom to open the settings panes, the control pane and the messages pane of the SeaBat UI.

More:

Panes


Panes

The panes on the right side are:

· Gates Settings

· Display Settings

· Recording Settings

· Hardware Settings

· IO Module Settings

And the two panes at the bottom are:

· Control

· Messages

In this chapter will be explained how the panes can be opened, docked, dragged and hided.

See chapter Operation for more information about the different panes.

More:

Auto Hide

Docking

Floating

Context Menu


Auto Hide

Move the pointer above a tab on the right side or bottom of the view and the pane slides into the view. When the pane is opened it will be in the Auto Hide mode. This means that when the pointer is moved outside the pane, the pane will hide again.

When first is clicked in the pane and then moved outside the pane, the pane will stay open until the cursor is moved to the center of the application.

Display Settings pane in Auto Hide mode


Docking

Click on the pin [image] to avoid that the pane will hide. The pin will change to [image], the pane is docked (pinned) and will stay open even when the pointer is moved outside the pane. The pane is now in Docking mode. Click on [image] to un-dock the pane and the pane will be in Auto Hide mode again.

When the pane is closed after a pane is docked and un-docked the tab will be placed as last tab on the right side and as right tab on the bottom. So the order of the tabs will be changed by open and dock/un-dock the pane.

Display Settings pane in Docking mode


Floating

When the pane is docked, double click on the title bar of the pane and it becomes a floating window (the pane is now in Floating mode). Press with the left mouse button on the title bar of the pane and it can be dragged over the screen. The pane becomes a floating window and can be docked to one of the sides of the view. Guide diamonds will appear when the window is dragged.

It is possible to move the floating window outside the frame of the SeaBat UI.

Floating window with the guide diamonds for the settings panes

The guide diamonds helps to re-dock the settings panes to the left or right side as displayed above and the Control and Messages to the top or bottom of the view.

Dragged the floating window to one of the guide diamonds (f.i. ) and when the pointer (mouse cursor) is above the diamond, the location where the pane will be placed is highlighted. Release the mouse button and the pane will be docked to the highlighted location.

When now the pane is undocked it will hide and the tab for the pane will be placed on the side where the pane was placed.

When there are two or more floating windows it is possible to combine these windows. Move one of the windows over the other window and the guide diamonds appear. Select one of the options from the center guide diamond and the location of the window is highlighted in the other window. Select the option in the center of the center diamond and the two windows will become one window with two tabs at the bottom of the window. This last option is only valid for the settings panes.

Two windows combined with two tabs

Double click on the title bar of the combined window to make both windows docked panes again. It is also possible to check Docking in the context menu of the combined window. Both the panes will be docked to the side where they were docked before. If both panes were on the same side before only one pane with two tabs at the bottom will be available.

Uncheck the option Floating in the context menu in both the windows of the combined window, to make the windows floating again.


Context Menu

The different modes for the panes can also be set with the context menu. When a pane is open, click with the right mouse button in the pane/window and a context menu will be opened.

Context menus of the pane with in each menu a different mode selected

The first picture is the context menu when the pane is in the Auto Hide mode. Uncheck Auto Hide and the pane will come in the Docking mode.

The second picture is the context menu when the pane is in the Docking mode. Check Auto Hide or Floating to go to another mode.

The third picture is the context menu when the window is in the Floating mode. Check Docking to change the mode to the Docking mode. It is not possible to go from Floating direct to Auto Hide mode.


SeaBat UI Toolbar

Toolbar of the SeaBat UI

The SeaBat UI has on top a toolbar with several options. The items in the toolbar will be discussed from right to left.

More:

Application Settings Dialog

About Dialog

Licensed Features Dialog

Help File

Color Mode

Service Mode

Operation Mode

Save Snapshot

Start Record AVI

Start Record RDR

Start the Tracker

Pitch Stabilization

Roll Stabilization

1PPS

Normalization

BITE


Application Settings Dialog

Click on [image] to open the application settings dialog.

Application settings dialog

Language
Select the language that have to be used in the SeaBat UI. If a language is not or partly available the not translated text will be in English.
The SeaBat UI has to be restarted before the language change works.

Lay-out
When the layout is disturbed, check the checkbox to reset the layout and font size of the SeaBat UI.
The font size can be set to Small, Medium and Big and is only for the font in the Settings panes.

Units
The unit for the depth and range in the Seabat UI can be set. At the moment only the unit Meters is available.

Sonar
Check the checkbox to reset the sonar.

All changes made in this dialog have effect after [image] is pressed.


About Dialog

Click on [image] to open the about dialog.

About SeaBat UI dialog


Licensed Features Dialog

Click on [image] to open the dialog.

Licensed Features dialog

The Licensed Features dialog displays the licenses of the feature packages as is purchased by the user.


Help File

Click on [image] to open the help file. The help file can also be opened with F1.

The help file is a copy of this SeaBat UI User Manual.


Color Mode

Select in the combo box ( [image]) the color mode for the complete system.

With the color mode the light conditions for the screen(s) can be modified. The four different color modes are:

Normal
Standard light conditions.

Night
Less contrast and brightness; can be used during the night.

Twilight
Less contrast; can be used when there is a twilight condition.

Bright
Extra contrast and brightness; can be used when there is a sunshine light condition.

The different color modes are working fine in the Windows Classic Theme. In the Windows 7 Basic and Windows 7 Themes not all the items on the screen will be supported.


Service Mode

Click on Service to open the view with the BITE system information. See for more information the chapter Service.


Operation Mode

Click on Operation to open the view with the sonar data. See for more information the chapter Operation.


Save Snapshot

Click on the text ‘Snapshot’ to create an image of the application window.

The snapshot will be stored as a JPG with the filename yyyymmdd_hhmmss.jpg in the location as is defined in the Recording Settings pane.

The Save Snapshot option gives a proper screen shot in the Windows Classic Theme and in the Windows 7 Basic Theme. In the Windows 7 Theme the option does not give a good screen shot in the Operation mode.


Start Record AVI

Click on the text ‘AVI’ to start the AVI recording of the application window. During the recording the button [image] is changed to a green led indicator.

The recording will be stored as a AVI with the filename yyyymmdd_hhmmss.avi in the location as is defined in the Recording Settings pane.

Click on the highlighted text ‘AVI’ to stop the AVI recording and the green led indicator becomes the button again.

The AVI recording gives a good AVI in the Windows Classic Theme and in the Windows 7 Basic Theme. In the Windows 7 Theme the option does not support the screens from the Operation mode.


Start Record RDR

Click on the text ‘RDR’ to start the logging of the raw data. During the recording the button [image] is changed to a green led indicator.

The log file will be stored as a S7K file with the filename yyyymmdd_hhmmss.s7k in the location as is defined in the Recording Settings pane. Also in this pane the records can be selected which have to be recorded.

Click on the highlighted text ‘RDR’ to stop the logging and the green led indicator becomes a yellow led, indicating that the logging is stopped but that a small buffer is logged to get all the information. The yellow led will change to the button again after the buffer is logged.


Start the Tracker

Click on the text ‘Tracker’ to start the Tracker. When the Tracker is started the button [image] is changed to a green led indicator.

The Tracker is a fully automated mode of operation. All parameters, including range, gain, power and swath width are set by the system on the basis of the quality of the collected data. Once the Tracker has been selected, no further operator input is required.

Click on the highlighted text ‘Tracker’ to stop the Tracker and the green led indicator becomes the button again.


Pitch Stabilization

The led indicator will indicate if the pitch stabilization is on, off or gives an error. The different colors are:

· Blue – When the SeaBat UI is started the pitch stabilization is not yet initialized.

· Grey – The pitch stabilization is initialized but disabled in the Hardware Settings.

· Green – The pitch stabilization is enabled and working.

· Red – Error level – Possible error is : no attitude data received.

To enable/disable and to setup the pitch stabilization see Motion Stabilization.


Roll Stabilization

The led indicator will indicate if the roll stabilization is on, off or gives an error. The different colors are:

· Blue – When the SeaBat UI is started the roll stabilization is not yet initialized.

· Grey – The roll stabilization is initialized but disabled in the Hardware Settings.

· Green – The roll stabilization is enabled and working.

· Yellow – Warning level – The roll stabilization receives a roll value that exceeds ±15°.

· Red – Error level – Possible errors are : no attitude data received, roll value exceeds ±35° or change rate > 10° per second.

To enable/disable and to setup the roll stabilization see Motion Stabilization.


1PPS

The led indicator will indicate if the 1PPS is received or not. The different colors are:

· Blue – When the SeaBat UI is started the 1PPS is not yet initialized.

· Green – The 1PPS is working.

· Yellow – Warning level – No 1PPS received for a couple of seconds.

· Red – Error level – No 1PPS received anymore.


Normalization

The led indicator will indicate if the Normalization is done or not. The different colors are:

· Blue – When the SeaBat UI is started the Normalization is not yet initialized.

· Grey – The Normalization is not done.

· Green – The Normalization is done.

· Yellow – The Normalization is busy; at this moment the normalization takes place.

· Red – Error level – The Normalization has failed.

In the Hardware Settings the status of the Normalization can be monitored.


BITE

The led indicator will indicate if the BITE information gives errors in the Service. The different colors are:

· Blue – When the SeaBat UI is started the BITE information is not yet available.

· Green – No errors in the BITE information, all components are working.

· Red – Error level – Errors, warnings or timeouts in one or more components. Check the diagram in the Service for more information.


Operation

More:

Introduction

Control

IO Module Settings

Gates Settings

Display Settings

Recording Settings

Hardware Settings

Messages

Screens


Introduction

When the SeaBat UI is started, the SeaBat UI will open in the Operation mode with the four screens or only these screens that were open when the SeaBat UI was closed before.

In this chapter the different panes and the four screens will be discussed.

With the control pane in the application the sonar can be controlled and with the settings in the settings panes the sonar data can be presented.

The different panes are:

· Control
With the Control pane the operator can control the sonar and can set the layout of the Operation by selecting which screens will be opened.

· IO Module
In the IO Module Settings the sensor data can be selected and interfaced into the 7K system.

· Gates Settings
In the Gates Settings pane the different gate settings (Absolute or Adaptive) for the bottom detection process can be defined.

· Display Settings
In the Display Settings pane the operator can customize the visual properties of the screens of the Operation.

· Recording Settings
In the Recording Settings pane the operator can selected which data is recorded and the recording information is displayed.

· Hardware Settings
At the moment in the Hardware Settings pane the operator can setup the roll stabilization.

· Messages
The Messages pane displays the error message as they are received in the SeaBat UI.

How the tabs can be opened and how the panes can be moved in the application is explained in chapter Arrange the Panes.

The different screens are:

· Wedge

· Detect

· Sidescan

· Snippets


Control

With the Control pane the user can control the sonar and can set the layout of the Operation mode by selecting which screens will be opened.

The Control pane contains of two pages, the main and advanced page. The main page is for the general control of the sonar and to switch the different views on/off. The advanced page can be used to fine-tune the sonar.

More:

Main Control

Advanced Control


Main Control

Different Main Controls

Click on [image] to go to the advanced page of the Control pane.

In the Tile – Screen box the different screens can be switched on/off. By default all four the screens are on. The Wedge and Detect screens are always on the left side of the view and the Sidescan and Snippets always on the right side. If only one of the two screens on one side is open, then that screen will use the complete left or right side of the view.

The size of the screens can be modified by dragging the horizontal or vertical divider up/down or left/right. To drag the divider move the cursor over the divider and the cursor becomes a double arrow indicating in which direction the divider can be moved.
The horizontal divider can be moved up/down separately for the left and the right side. Double click on the horizontal divider for the left or right side and the other half of the horizontal divider will jump to the same level.
The crossing of the horizontal and vertical divider can be moved by dragging the crossing over the screen. Move the cursor over the crossing and the cursor becomes a cross with arrows indicating in which directions the crossing can be moved.

More:

Range

Power

(Ping) Rate

Gain


Range

The range setting allows the operator to select how far the SeaBat will ‘see’.

Select the appropriate range scale to keep the image of the bottom detection at or above the widest part of the sonar wedge.

Left is a proper range setting and right an incorrect range setting


Power

The power setting allows the operator to increase or decrease the amount of power (acoustic energy) that is transmitted into the water.

If the power is set to OFF, the system will not ping, but it will continue to receive data provided that the (ping) rate is not set to 0. The sonar system will act as a passive sonar by only receiving data. This is a feature that is very useful for monitoring the ambient noise and interference from the vessel itself.


(Ping) Rate

The max (ping) rate setting allows the operator to set the number of pings per seconds. The actual number of pings depends on the current range setting.

The normal value for the ping rate is the maximum rate to be sure that always the highest possible ping rate, depending on the range setting, can be achieved.

In some instances it may be beneficial to force a lower ping rate than the normal rate associated with a particular range. Examples of this would be instances when the vessel is moving at a very slow rate, and the operator wants to reduce the quantity of data that is generated; or when the sonar is operating in a high-reverb environment where echoes of the previous ping are contaminating the current ping.


Gain

The gain setting allows the operator to select the amount of receiver gain that is applied to the returned sonar signal, in addition to the calculated gain. The gain is applied throughout the range as a fixed gain value.

The sonar system utilizes a Time-Varied Gain (TVG) by applying a variable gain to the signal, based upon the formula :

Receiver Gain = 2 α Rkm + Sp log Rm + G

Where:
α = Absorption loss in dB/km
Sp = Spreading loss coefficient
Rkm = Range in kilometers
Rm = Range in meters
G = Extra gain as set in the Control pane

For more information about this formula see Absorption and Spreading.

For some sonar systems the gain can be switched to the Fixed mode. The normal mode is TVG and Fixed mode can be used for very short ranges (<10m).


Advanced Control

Different Advanced Controls

Click on [image] to go to the main page of the Control pane.

The Flex Mode box is only available when as beam mode Flex is selected.

More:

Frequency

Pulse Type

Beam Mode

Pulse Length

Horizontal Steering

Coverage Angle

Absorption

Spreading

Sound Velocity

SVP Filter

Survey Altitude

Outside Spacing


Frequency

For a dual-frequency system, the frequency setting allows the operator to switch the frequency on the fly without restarting the 7K Center. All sonar controls will then be dedicated to the selected frequency.

The addition of the dual-frequency system is that the lower frequency provide a long-range functionality and the higher frequency a high-resolution functionality with a shorter range.


Pulse Type

The pulse type setting allows the operator to choose between CW (Continuous Wave) and FM (Frequency Modulation).

The possibility to choose CW or FM depends on the sonar system.

The pulse type CW uses a frequency with a continuous wave centered around the selected frequency.

The pulse type FM uses a frequency modulation within a frequency range that is for instance for 200kHz 185-215kHz and for 400kHz 381-411kHz. The system will search for the frequency to use that have the least disturbance.

An echo sounder with a frequency of 210kHz will disturb the sonar signal with a pulse type CW at 200kHz, while the pulse type FM has no or very little disturbance from the echo sounder.


Beam Mode

The beam mode can be switched on the fly. For the beam mode the following modes can be selected:

Minimum Beams
Gives a full swath coverage using the minimum number of beams that is required to fill the selected sector using the natural beam width and spacing.
The spacing between the beams is equiangular. With the Minimum Beams the beam center-center angular spacing is constant across the swath.
In areas of significant relief and in particular when surveying features such as wrecks and vertical structures such as harbor walls, Minimum Beams should be used in preference to Best Coverage (see also Best Coverage).

Intermediate
Is made for a general purpose survey operations and provides high-density soundings over the entire swath using the maximum number of beams.

Best Coverage
Gives equally spaced soundings across the entire swath using the maximum number of beams.
The spacing between the beams is equidistant. With Best Coverage the spacing is modified to maintain an equal horizontal distance between soundings on the seafloor assuming a flat bottom.
It is recommended that Best Coverage be used for general survey applications where the requirement to achieve a specific number of sounding per cell in the across-track is critical, or where the seafloor is generally flat.
In extreme conditions, using Best Coverage over complex structures can cause magnified artifacts due to the large overlap between beams towards the edge of the sector.

Flex
Gives a combination of a high density of beams on and around the object location and a reduced density of soundings for the rest of the swath.
The low density spacing is defined by the operator by setting the Outside Spacing. The high density spacing is computed by optimization based on survey parameters by setting the Survey Altitude.

Illustration of the flex mode

Wide
Gives a full swath coverage using the maximum number of beams. The starting coverage angle is bigger than for the other beam modes.
The spacing between the beams is equiangular.


Pulse Length

The pulse length setting allows the operator to change the pulse length of the transmitted signal.

For a given power setting, a narrower pulse length will provide a higher resolution at a shorter range. A wider pulse length will provide better range but a lower resolution image.

In certain conditions, for example in turbid waters, the narrower pulse length may not operate well. In such circumstances, the wider pulse length may give better short-range performance. This may also be achieved by changing from higher to lower frequency operation.


Horizontal Steering

The (horizontal) steering setting allows the operator to steer the swath electronically.

The achievable steering depends on the selected coverage angle.

With the button Default the steering and coverage angle will be reset; the steering to 0.

The extent of the steering is determined by the coverage angle selected. The limitation is that the outer beam cannot be steered past 5° from the horizontal. When the swath is steered this way, the individual beam widths increase with the steering angle. A beam steered at 60° is twice the width of a beam steered at 0°.

With a swath of 120° the maximum steering is ±25° (85°-(120°/2))

With a swath of 60° the maximum steering is ±55° (85°-(60°/2))


Coverage Angle

The (coverage) angle allows the operator to change the swath width.

With the button Default the coverage angle and horizontal steering will be reset; the coverage angle to the maximum angle depending on the selected beam mode.

Check the checkbox for Beam Reduction to reduce the number of beams to the number of beams necessary to populate the given coverage sector.


Absorption

The absorption allows the operator to enter the amount of loss that is expected through the ambient water medium. The absorption loss is proportional with the salinity of the water and the sound frequency: the higher the salinity or frequency, the greater the loss. Also an increased temperature will increase the absorption loss.

If the exact absorption loss value is not known, a value of 110dB/km for salt water and 70dB/km for fresh water is recommended for a 400kHz operation, and a value of 50dB/km for salt water and 20dB/km for fresh water is recommended for a 200kHz operation.

This value is used in conjunction with the spreading loss coefficient to compute the TVG (time varied gain) curve that is applied to the returned signal.


Spreading

The spreading allows the operator to enter the amount of cylindrical and spherical spreading loss that is expected through the ambient water medium. Spreading of sound through water may be the greatest contributor to the loss of sound. As sound moves away from its source in all directions, the acoustic pressures will decrease with the range.

This value is used in conjunction with the absorption loss value to compute the TVG (time varied gain) curve that is applied to the returned signal.

In practical situations the transmission loss will lie between 20 and 40dB; in other words, the spreading loss will neither be perfectly spherical nor perfectly cylindrical. Finally, if the sonar operates very close to the seabed or very close to objects in general, near-field effects may yield a transmission loss less than 20dB.

If the exact spreading loss value is not known, an initial value of 30dB is recommended.


Sound Velocity

When the override checkbox is checked, the sound velocity slider allows the operator to enter a value for speed of sound in the water.

When a sound velocity sensor is interfaced and the override checkbox is not checked the sound velocity value as displayed will be the value as received from the sensor.

An online sound velocity must be used for providing up-to-date velocities to ensure optimum performance. A manual velocity may be entered instead but care should be taken to ensure the value entered is representative of the real velocity.


SVP Filter

The data from the external sound velocity probe (SVP) can be filtered. The sonar used the value from the sound velocity probe to present the data in the wedge. When there are spikes in the data from the sound velocity probe the display of the sonar data will be disturbed. The SVP filter will filter these spikes out of the data. From a light filter (option Light) to normal and a strong filter (option Wizard).


Survey Altitude

The survey altitude allows the operator to enter an altitude for which the outside spacing of the flex beam mode is valid.

How higher the altitude, with a fixed outside spacing, the more beams will be used in the low density area of the flex beam mode (see also the Flex mode).


Outside Spacing

The outside spacing allows the operator to enter a beam spacing for the low density area of the flex beam mode.

How bigger the outside spacing, with a fixed survey altitude, the less beams will be used in the low density area of the flex beam mode (see also the Flex mode).


IO Module Settings

In the IO Module Settings pane the different sensors (such as the sound velocity probe and the external clock) can be interfaced with the IO Module. The data acquired by the IO Module is routed to the SeaBat in real time to allow for accurate time stamping and beamforming.

IO Module Settings

Accuracy of the bathymetric data depends entirely on a valid time sync and sound velocity input from the IO Module. In the absence of time sync, a software time stamp is employed. However, this usually results in poor data quality, as the time stamp is applied AFTER the last sample is received. In the absence of online sound velocity input, the input as set in the Advanced Control is used instead.

If data has to be logged in the S7K file, it is advisable to log the position, heading and attitude as well. This can be done by interfacing these sensors in the IO Module. If PDS2000 is used as acquisition system select in PDS2000 the ‘R7k-IOmodule’ driver as output and PDS2000 outputs the data to the IO Module. The advantage of using PDS2000 is then that the operator don’t have to select the position, heading and attitude in the IO Module Settings pane, the interfacing is done automatically and is not visible in the IO Module.

More:

Sound Velocity

External Clock


Sound Velocity

To achieve correct beam steering in equidistant mode, the sonar needs to have an up-to-date online sound velocity measurement from the water in the area of the sonar head. The sound velocity must always be selected in the IO Module, even if PDS2000 or a different acquisition system is used.


External Clock

To achieve correct time stamping of transmitted pulses it is necessary to send time to the sonar processor. The SeaBat uses the GPS PPS system to achieve this. From the GPS receiver, the SeaBat needs the TTL 1PPS pulse and the qualifying time message (normally ZDA). The clock synchronization must always be entered in the IO Module.

If the 1PPS is not detected during the sonar operation, the led indicator changes from green to yellow to red and in the Service page in the Status tab the error is displayed.


Gates Settings

In the Gates Settings pane the Absolute or Adaptive gate parameters for the bottom detection process can be defined.

Gates Settings

Select on top of the Gates Settings pane the Gates control mode that is applicable. When the absolute or adaptive gate is selected the relevant parameters will be accessible to enter the settings for the gate.

The available gate settings are:

· No Gates

· Absolute Gate

· Adaptive Gate

The minimum difference between the minimum and maximum gate value is define on 2m. When one of the gate values is set closer than 2m from the other gate value, the other gate value will change to get a difference of 2m again. This is also valid when one of the gate value is dragged in the Wedge screen.

More:

Absolute Gate

Adaptive Gate


Absolute Gate

Absolute gate parameters

When as gates mode the absolute gate is selected, two types of gate are available; a depth gate and a range gate.

Check the Enable depth/range gates checkbox for the type of gate that is desired.

The minimum and maximum gate values can manually be moved in the Wedge screen by dragging them with the mouse.

More:

Depth Gate

Range Gate


Depth Gate

The depth gate will use the minimum and maximum depth values as entered. Only the bottom returns which are within these depth limits will be used in the bottom detection process.

Use of a motion sensor is required to rotate the depth gates with the rolling motion of the vessel to ensure soundings are not clipped as the seabed rotates with respect to the sonar.

The depth gate tilt can be used when the seafloor is tilting. Click on the value and use the slider to rotate the depth gate to match with the tilt of the seafloor.

Depth gate with a depth gate tilt of 0° (left) and 15° (right)


Range Gate

The range gate will use the minimum and maximum range values as entered. Only the bottom returns which are within these limits will be used in the bottom detection process.


Adaptive Gate

Adaptive gate parameters

The adaptive gate will use the minimum and maximum nadir depth values as entered. It will search for the strongest bottom return from the nadir beam based on the window size.

When the minimum or maximum nadir depth values approach the nadir search limits, the nadir search gate will automatically center the nadir search on the detected seafloor. The nadir search limits can manually be moved in the Wedge screen by dragging them with the mouse.

The window size is used to define the gate limits around the detected seafloor. The distance between the limits and the detected seafloor is the percentage of the detected bottom depth value. The percentage is the value as entered as window size. Increasing the window size will make the search area bigger so the chance of noise increases. Decreasing the window size with a non-flat seabed will result in a degraded performance.


Display Settings

In the Display Settings pane the operator can customize the visual properties for the four screens in the Operation.

Display Settings

In the Display Settings are for each screen settings available to setup the screens. For the Wedge and Detect screen most of the settings are also available in the context menu of these screens (see for more information Screens).

The Wedge and Detect screen have next to the general settings several layers with data which can be displayed in the screen. Each of these layers can be switched on/off and have their own settings for color and font size.


Recording Settings

In the Recording Settings pane the operator can selected which data is recorded and the information related to the recording is displayed. The operator can set the paths for the files of the AVI recording and the snapshot.

Recording Settings

More:

Record Selection

File Storage

Status


Record Selection

In the record selection the operator can select which data is recorded. Next to the standard data records extra data records can be recorded.

The standard data records are:

§ 7000 – Ping settings

§ 7004 – Beam geometry

§ 7006 – Bathymetry (legacy)

§ 7011 – Compressed image data

§ 7017 – Bathymetry (for UI display)

§ 7027 – Bathymetry (RAW)

§ 7503 – Sonar settings

The extra records are:

Snippets:

§ 7028 – Snippets data

Side scan:

§ 7007 – Backscatter data

Sensor data (motion, position, heading, etc.):

§ 1003 – Position

§ 1012 – Attitude (Roll, Pitch and Heave)

§ 1013 – Heading

§ 7610 – Sound Velocity

Watercolumn (includes sensor data):

§ 7018 – Full Magnitude & Phase data

Troubleshooting (includes watercolumn data):

§ 7021 – BITE data

Other:

§ All other available records
When the checkbox is checked the record numbers will be displayed at the bottom of the pane in the info box.

The sensor data can only be recorded when these sensors are interfaced with the sonar system. This can be done in the IO Module. An alternative is that the position, attitude and heading are send by PDS2000 to the IO Module. So only the external clock with 1PPS and the sound velocity has to be interface in the IO Module.


File Storage

In the different File Storages the location (path) for the Raw Data Recording (RDR), AVI Recording or Snapshot can be set by the operator. Click in the field of the path and click on [image] to open a folder dialog where the folder for the RDR, AVI or Snapshot file can be selected.

When one of the actions is started with the buttons in the toolbar the filename will be displayed. The last recorded filename stays always displayed in the pane.

For all three files the file name has the format ‘yyyymmdd_hhmmss.xxx’; with xxx is s7k for RDR, avi for the AVI recording and jpg for the snapshot.


Status

The Status displayed the status of the Raw Data Recording with the current file size of the recording file and the number of records that are added to the recording file.

Hover over the record filter state field and all the records, as selected in the record selection and will be logged, are displayed.

With increased range and/or ping rates, the recording files will become very large very quickly. It is best to monitor the file sizes and ensure that 10% of the disk space is always left available for system operation. Therefore it is advisable to record the data on a separate hard disk and not on C:\.


Hardware Settings

In the Hardware Settings the operator can setup the following:

· Motion Stabilization

· Dual Head

· Hardware Configuration

· Normalization

More:

Motion Stabilization

Dual Head

Hardware Configuration

Normalization


Motion Stabilization

Hardware Settings for the Motion Stabilization

The roll and pitch stabilization is only available when it is defined in the xml file of the sonar. It is possible that only the roll or pitch stabilization is available.Only the available stabilization(s) will be displayed in the hardware settings.

It is recommended that the motion sensor data update rate is at least 50Hz and preferably 100Hz. Baud rate and protocol details can be set in the Motion Stabilization, but it should be ensured that the baud rate is sufficient to allow the desired update rate. The motion sensor data for the motion stabilization is read directly from the FPGA, so no port has to be selected.

More:

Roll Stabilization

Pitch Stabilization


Roll Stabilization

Roll stabilization is an important feature related directly to system efficiency which allows the swath width on the seafloor to be maximized, thus increasing line spacing and reducing vessel time.

Under zero roll conditions, the swath is vertical and the center of the swath is directly below the vessel.

Swath under zero roll conditions

When the vessel rolls the swath is rotated and the projected swath on the seafloor is laterally displaced.

Laterally displaced swaths under roll conditions

This has the effect of reducing the usable swath width due to the distortions on the edge.

Reduced usable swath width

With the input from a motion sensor (and roll stabilization enabled) to steer each receive beam dynamically for every sample, the swath stays vertical irrespective of vessel motion thereby maximizing swath.

Swath under roll stabilization


Pitch Stabilization

Pitch stabilization is a feature which allows the swaths to look vertical when the vessel is pitching.

Under zero pitch conditions, the swath is vertical and directly below the vessel. With a pitch the swath is moved forwards/backward relative to the vertical. It is possible that the swath projection on the seafloor is not in order anymore.

To solve this problem the transmitted beam can be dynamically steered so the swath stays vertical.


Dual Head

Hardware Settings for the Dual Head

To increase coverage, two complete sonar systems can be used. One is designated ‘Master’ and the other ‘Slave’.

The master processor dictates when the slave sonar will cycle, and so the Range and Max Rate settings from the ‘Master’ are mirrored on the ‘Slave’. This is achieved through a network connection.

For the SeaBat UI it is not necessary to select the Dual Head configuration in the 7KControlCenter. The selection has to be made in the Hardware Settings pane.

In the Dual Head section the available local area connections on the 7K system will be displayed. Select for the ‘Slave address’ an IP number which is in range with one of the local area connections. Make a network connection between the two ports and enable the option ‘Connect’. The 7K system which enables the connection will become the ‘Master’ and the other system automatically the ‘Slave’. This will be visible as the ‘Mode’.

When the 7K system is set in dual head mode then automatically the pulse type will be set on FM. The FM transmission combined with advanced signal processing techniques extracts the maximum possible performance from the system.

The ‘Master’ can trigger the ‘Slave’ by a trigger cable between both systems. In the ‘Master’ the cable should be connected in the Trigger Out connector and in the ‘Slave’ in the Trigger In connector. The systems are synchronized and can ping simultaneously at a high ping rate.

When a dual head system is setup (the slave address should be known) it is possible to run 2 SeaBat UI’s on the same (‘Master’) system. The second SeaBat UI that is started will be automatically the SeaBat UI for the ‘Slave’. In the second SeaBat UI the ‘Slave’ system can be controlled (accept the Range and Max Rate) and the IO Module for the ‘Slave’ system can be setup or modified. The 7KCentre should be running on the ‘Slave’ before data becomes visible in the second SeaBat UI.


Hardware Configuration

Hardware Configuration for the active frequency

The Hardware Configuration controls the one-time transmit array and projector settings. These settings should be set to reflect the initial installation of the system and should not require a modification unless the physical installation changes.

The hardware configuration will show only the configuration for the active frequency. The user can open the other frequency if it is necessary.

Select for the active frequency the right configuration. Only for the custom configuration the operator can set the X, Y and Z offsets.


Normalization

Normalization for the active frequency

The normalization process starts automatically on initial power up of the system, but may also be initiated at any time by the operator.

The channel normalization feature provides a method for correcting the output of each analogue receiver channel for minor variations in amplitude and phase prior to input to the beamformer to improve data quality. This is achieved by injecting a highly stable calibration tone into each analogue receiver channel and comparing the output of each channel to the average values for all the channels. This produces a much ‘cleaner’ input to the beamformer thereby reducing side lobes and improving performance.

The data output is suspended while the normalization process is running (yellow light indicator). In certain conditions the normalization may fail due to excessive noise or out-of-tolerance channels.

Only for the active frequency the normalization can be started by checking the option ‘Normalize’. The time and the status of the normalization is displayed. During the normalization the led indicator will turn yellow, when the normalization is finished and the process was successful the led indicator becomes green again.


Messages

In the Messages pane the operator can see the error messages related to the sensor interfacing.

Messages

All the error messages will be displayed in the Messages list. By accepting an error message it will be removed from the list. This will not mean that the error is solved, but that only the message is removed.

Select an error message and click on [image] to remove the selected error message from the list. Click on [image] to remove all error messages.


Screens

In the Operation mode four different screens can be displayed. Two screens display the bathymetry data, one screen is for the sidescan data and one for the snippets data. In this chapter the four different screens will be discussed.

The screens can be switched on/off in the main page of the Control pane.

All four screens have a toolbar that becomes visible when the cursor is moved over the top left part of each screen. The options in this toolbar are also available in the context menu of the screen. In the context menu are next to the toolbar options extra options available.

The relevant options of the screens, and for some screens extra options, are also available in the Display Settings.

In all the screens can be zoomed in/out with the mouse wheel. The zoom out works only when the data is already zoomed in. The Zoom extents button can be used to get back to the original state of the screen. In the Sidescan and Snippets the zoom in/out works only horizontal, the scale of the vertical axis stays the same.

The settings for the screens can also be adjusted in the Display Settings pane.

More:

Wedge

Detect

Sidescan

Snippets


Wedge

The wedge screen shows the bathymetry data as a complete swath illuminated by a single transmitted ping.

Wedge screen with beam data color mode on Quality

Current information of the sonar data is shown in the upper left corner of the screen. This information (Info Layer) can be switched on/off in the Display Settings.

At the lower right corner the legend for the multibeam data color mode(Fixed, Quality, Detection Process and Uncertainty) is shown. This legend (Data Layer) can be switched on/off in the Display Settings.

With the option Show History the history of the multibeam data can be displayed in the wedge screen.

Wedge screen with history, swath shift left and swath spacing 0

In the Display Settings the length of the history, the direction how the history is displayed (Swath Shift) and the distance between the swaths (Swath Spacing) can be set.


Detect

The Detect screen shows the bathymetry data of a single swath with different beam data color modes. The swath will be displayed in the zoom extents mode, the vertical scale is enlarged to see the details in the swath much better.

Detect screen with one swath

At the lower right corner the legend for the multibeam data color mode(Fixed, Quality, Detection Process and Uncertainty) is shown. This legend (Data Layer) cannot be switched off in the Display Settings.

The grid lines (Grid Layer) can be switched on/off in the Display Settings.


Sidescan

The Sidescan screen shows an image of the seafloor which can be used to locate and identify features and bottom conditions. Each sonar ping is used to generate a line of data. Each line contains a series of amplitudes representing the signal return versus time or range. When a series of these lines is combined and displayed as the vessel moves along the track, a two-dimensional image is formed, providing a detailed picture of the bottom along either side of the vessel.

The sidescan data can be viewed on a waterfall display representing the results of a peak-detect search through the left and right beams of the swath.

Sidescan screen

By default the scaling of the data is set on Auto Scaling. Deactivate the Auto button in the toolbar and the operator can manually set the threshold, gain and TVG for the picture in the Sidescan screen.

Side-scan cannot be used to accurately measure true depths, but it can provide a more detailed picture of the seafloor. This image can be used together with bathymetry to identify features and to help ensure that the survey does not miss any small but significant targets.


Snippets

The Snippets screen shows the backscatter data in a waterfall display.

Snippets screen

By default the scaling of the data is set on Auto Scaling. Deactivate the Auto button in the toolbar and the operator can manually set the threshold, gain and TVG for the picture in the Snippets screen.

A snippets data sample contains corrected backscatter data from the ‘footprint’ on the seabed illuminated by a single sonar ping. The number of snippets in a swath is a function of the number of sonar beams. The length of each snippet depends on the operating mode, beam number, and depth.

Snippets data

Each snippets data packet contains pertinent information such as time stamp, sequential ping number, sample rate, sound velocity, and operator settings such as power, gain, absorption, and range scale.


Service

More:

Introduction

Diagram

Information


Introduction

The Service view in the SeaBat UI monitors the status of the complete sonar system; the temperature, voltage, communication status and other parameters. With the diagram of the sonar system it will be easy to check if each part of the system is working fine and the related BITE (Built-In Test Environment) information will be displayed. The operator can see very quickly if for instance a component ,wire or pin is the cause of an error or warning.

In this chapter will be explained how the user can go through the different option to monitor the system or, if necessary, to find the reason for the error.


Diagram

Diagram in the Service

In the diagram the operator can see directly if the complete sonar system is working fine. All the components, wires and pins should be in blue or green. The difference in color is only to indicate that for the green (and red) components and pins BITE information is available.

For each item displayed in the diagram (BITE) information is available. Click on the item in the diagram and the available information will be displayed on the right side in the tab Details.

When an error is detected in one of the green components or pins it will turn red (see in the figure above) and the error message will be displayed in the tab Status. When the error is a timeout the component will be red, but no information will be displayed in the Status.


Information

The available information of the sonar system is displayed on the right side in the Service. The different types of information will be ordered under several tabs:

· Status
In the Status page the errors with the relevant information are displayed.

· Details
In the Details page the BITE information of the selected component, wire or pin in the diagram is displayed.

· Config
In the Config page the preconfigured settings and the serial/version numbers for the software and firmware of the installed sonar system is displayed.

· BITE File
In the BITE File page the contents of the BITE file is displayed. This page is only available after the keystroke ‘Ctrl+B’.

More:

Status

Details


Status

In the Status page the errors or warning of the system are displayed. When no error or warning occurs this page will be empty.

When errors occur then for each part of the sonar system that is in error a message will be displayed in the Status page. Below an example of some messages is displayed.

Example of error messages in the Status page

The messages in the Status page can be an error (red light) or a warning (yellow light). When one of the errors or warnings is solved the light becomes green and the message will stay in the list until the solved messages are removed with [image].

The error or warning message will also be displayed in the related BITE information in the Details page.

Next to the item that is in error more information in the message is available to assist the operator to solve the problem. The possible cause of the error or warning, the effect of the problem on the system and a hint are available for the operator to understand the problem.

With [image] the list of messages can be cleared. If there are still errors or warnings a new list with messages will be created in the Status page.

Use [image] to save all information of all tabs along with the diagram to a HTML file.The name of the file will contain the timestamp so successive files won’t overwrite each other.


Details

In the Details page the BITE information of the selected component, wire or pin in the diagram will be displayed. With the keystroke ‘Ctrl+B’ for some items in the diagram more information becomes available.

On top of the page the name of the selected component, wire or pin with the unique ID is given. Below this the available BITE information is displayed with the actual value or status for each item. Between brackets the accepted range for each item is displayed.

Example of available information, here Charger, in the Details page

When an error or warning occur for one of these items a message will be displayed in the Status page. In the Details page the information is also updated as is shown above.

Example of timed outs in the Charger

When the error message is a time out it means that for a specific number of seconds no information is received from the system.

The BITE file for all the information displayed in the Details page is made for the Virtex6 hardware. Therefore the Virtex6 items in the Details page will all be zero when Virtex2 hardware is used. The operator should ignore the Virtex6 information when Virtex2 hardware is used.


beam mode

It will depend on the license which beam modes are available.


Beam Reduction

The Beam Reduction is not available for the Flex beam mode.


combine

It is not possible to combine a Settings pane with the Control or Messages pane.


context menu

The context menu can be opened with a right mouse click in the screen.


Docking

It is also possible to use the context menu of the pane to go from auto hide to docking and back.


Floating

It is also possible to use the context menu of the pane to go from docking to floating and back.


information

With ‘Ctrl+B’ extra BITE information of the selected item becomes available in the Details and Config page.


roll stabilization

The roll stabilization is only available in the toolbar when it is defined in the xml file.


steering

To achieve a correct beam steering in equidistance mode the sonar needs an up-to-date online sound velocity measurement.